Typedefs | Functions

# keyring.h File Reference

`#include <wizard/blob.h>`
`#include <wizard/exception.h>`
`#include <wizard/string_.h>`

Go to the source code of this file.

## Typedefs
typedef struct _KeyringInfo | KeyringInfo
## Functions
WizardExport const StringInfo * | GetKeyringKey (const KeyringInfo *)
WizardExport const StringInfo ** | GetKeyringNonce (const KeyringInfo *)
WizardExport KeyringInfo * | AcquireKeyringInfo (const char *)
WizardExport KeyringInfo ** | DestroyKeyringInfo (KeyringInfo *)
WizardExport void | SetKeyringId (KeyringInfo *, const StringInfo *)
WizardExport void | SetKeyringKey (KeyringInfo *, const StringInfo *)
WizardExport void | SetKeyringNonce (KeyringInfo *, const StringInfo *)
WizardExport void | SetKeyringPath (KeyringInfo *, const char *)
WizardExport WizardBooleanType | ExportKeyringKey (KeyringInfo *, ExceptionInfo *)
WizardExport WizardBooleanType | ImportKeyringKey (KeyringInfo *, ExceptionInfo *)
WizardExport WizardBooleanType | PrintKeyringProperties (const char *, BlobInfo *, ExceptionInfo *)

## Typedef Documentation

typedef struct _KeyringInfo KeyringInfo

## Function Documentation

WizardExport KeyringInfo* AcquireKeyringInfo | ( | const char * |  | ) |

WizardExport KeyringInfo* * DestroyKeyringInfo | ( | KeyringInfo * |  | ) |

References DestroyString(), DestroyStringInfo(), GetWizardModule, _KeyringInfo::id, _KeyringInfo::key, KeymapDomain, LogWizardEvent(), _KeyringInfo::nonce, _KeyringInfo::path, RelinquishWizardMemory(), _KeyringInfo::signature, TraceEvent, WizardAssert, and WizardSignature.

Referenced by DestroySecretInfo(), and ImportKeyringKey().

WizardExport WizardBooleanType ExportKeyringKey | ( | KeyringInfo * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

WizardExport const StringInfo* GetKeyringKey | ( | const KeyringInfo * |  | ) |

WizardExport const StringInfo* * GetKeyringNonce | ( | const KeyringInfo * |  | ) |

References GetWizardModule, KeyringDomain, LogWizardEvent(), _KeyringInfo::nonce, _KeyringInfo::signature, TraceEvent, WizardAssert, and WizardSignature.

Referenced by AuthenticateSecretKey(), and GenerateSecretKey().

WizardExport WizardBooleanType ImportKeyringKey | ( | KeyringInfo * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

WizardExport WizardBooleanType PrintKeyringProperties | ( | const char * | ,
|  | BlobInfo * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

References AcquireFileInfo(), AcquireString(), AcquireStringInfo(), CanonicalXMLContent(), CloneStringInfo(), CompareStringInfo(), ConcatenateString(), DestroyFileInfo(), DestroyString(), DestroyStringInfo(), FileError, FormatWizardString(), FormatWizardTime(), GetFilePath(), GetFileProperties(), GetStringInfoDatum(), GetStringInfoLength(), GetWizardMagick(), GetWizardModule, KeymapDomain, KeyringFilename, KeyringFiletype, LogWizardEvent(), MaxTextExtent, _KeyringInfo::protocol_major, _KeyringInfo::protocol_minor, ReadFile16Bits(), ReadFile32Bits(), ReadFile64Bits(), ReadFileChunk(), ReadFileMode, ResetWizardMemory(), _KeyringInfo::signature, StringInfoToHexString(), ThrowFileException, ThrowWizardException(), _KeyringInfo::timestamp, TraceEvent, WizardAssert, WizardFalse, WizardMagick, WizardSignature, WizardTrue, and WriteBlob().

WizardExport void SetKeyringId | ( | KeyringInfo * | ,
|  | const StringInfo * |  |
| ) |  |  |

WizardExport void SetKeyringKey | ( | KeyringInfo * | ,
|  | const StringInfo * |  |
| ) |  |  |

WizardExport void SetKeyringNonce | ( | KeyringInfo * | ,
|  | const StringInfo * |  |
| ) |  |  |

WizardExport void SetKeyringPath | ( | KeyringInfo * | ,
|  | const char * |  |
| ) |  |  |

References CloneString(), KeymapDomain, _KeyringInfo::path, _KeyringInfo::signature, WizardAssert, and WizardSignature.